cern.colt.matrix.impl

## Interface Former

    public interface Former

Formats a double into a string (like sprintf in C).

Version:
  1.0, 21/07/00
See Also:
  `Comparator`, `cern.colt`, `Sorting`

### Method Summary

Methods
`java.lang.String` `form(double value)` Formats a double into a string (like sprintf in C).

### Method Detail

#### form

    java.lang.String form(double value)

Formats a double into a string (like sprintf in C).

Parameters:
  `x` - the number to format
Returns:
  the formatted string
Throws:
  `java.lang.IllegalArgumentException` - if bad argument